Eclipse PDE Release 3.7

## org.eclipse.pde.ui.launcher
Class EquinoxPluginsTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.pde.ui.launcher.AbstractLauncherTab
              org.eclipse.pde.ui.launcher.BundlesTab
                  org.eclipse.pde.ui.launcher.EquinoxPluginsTab

All Implemented Interfaces:
  ILaunchConfigurationTab

Deprecated. use `BundlesTab`

    public class EquinoxPluginsTab

extends BundlesTab

A launch configuration tab that lets the user customize the list of plug-ins to launch with, their start level and their auto-start attributes.

This class may be instantiated. This class is not intended to be subclassed by clients.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`EquinoxPluginsTab()` Deprecated.

Method Summary
`int` `getDefaultStartLevel()` Deprecated. Returns the default start level for the launch configuration

Methods inherited from class org.eclipse.pde.ui.launcher.BundlesTab
`activated, createControl, dispose, getId, getImage, getName, initializeFrom, performApply, setDefaults, validateTab`

Methods inherited from class org.eclipse.pde.ui.launcher.AbstractLauncherTab
`createStartingSpace, deactivated, isValid, scheduleUpdateJob, updateLaunchConfigurationDialog`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EquinoxPluginsTab

    public EquinoxPluginsTab()

  Deprecated.

Method Detail

### getDefaultStartLevel

    public int getDefaultStartLevel()

  Deprecated.
  Returns the default start level for the launch configuration

  Returns:
    the default start level

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.